; coco main
	opt	forwardrefmax
#include	coco\main_lib.txt
#include	coco\cg3_display.txt
#include	coco\cg3_font.txt	;4553




#memstart	28672	;$7000
	org	$3300	;mem start?
start
	createsinetable()
	std	sinetable
 	iscoco3 ()
	stb	coco3
	cg3_setdisplay( #1  )
	lda	#0
	sta	page
	cg3_cls(#0,#0)
	cg3_cls(#1,#0)
	cg3_font()
	std	font
	lda	#0	;hi speed poke cc3
	sta	65497
	cg3_sync(page)	;working start page



doloop
	cg3_cls(page,#0)
	ldb	angle
	addb	#16

	stb	angle
	addb	#128
	stb	angle2
	addb	#64
	stb	angle3

	plot(sinetable,#63,#47,#0,#18,angle)
	subb	#28
	stb	diam
	plot(sinetable,#63,#47,#0,#18,angle2)
	subb	#28
	stb	diam2
	plot(sinetable,#63,#47,#0,#16,angle3)
	subb	#30
	stb	diam3
	cg3_circle(page,sinetable,#63,#47,diam,#32,#64,#192,#1)
	cg3_circle(page,sinetable,#63,#47,diam2,#32,#192,#64,#2)
	cg3_circle(page,sinetable,#63,#47,#36,diam3,#0,#0,#3)
	cg3_sync(page)
	lda	page
	inca
	sta	page
	if	b,page>#1
	clr	page
	endif
	lbra	doloop

def	coco3	byte
def	page	byte
def	sinetable	word
def	xpos	byte
def	ypos	byte
def	xpos2	byte
def	ypos2	byte
def	color	byte
def	diam	byte
def	diam2	byte
def	diam3	byte
def	endangle	byte
def	startangle	byte
def	angle	byte
def	angle2	byte
def	angle3	byte

def	font	word

; end of program
cocoromend


	end	start








